xine-lib: vo_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vo_driver_s Struct Reference

`#include <video_out.h>`

## Data Fields
uint32_t(* | get_capabilities )(vo_driver_t *self)
vo_frame_t *(* | alloc_frame )(vo_driver_t *self)
void(* | update_frame_format )(vo_driver_t *self, vo_frame_t *img, uint32_t width, uint32_t height, double ratio, int format, int flags)
void(* | display_frame )(vo_driver_t *self, vo_frame_t *vo_img)
void(* | overlay_begin )(vo_driver_t *self, vo_frame_t *vo_img, int changed)
void(* | overlay_blend )(vo_driver_t *self, vo_frame_t *vo_img, vo_overlay_t *overlay)
void(* | overlay_end )(vo_driver_t *self, vo_frame_t *vo_img)
int(* | get_property )(vo_driver_t *self, int property)
int(* | set_property )(vo_driver_t *self, int property, int value)
void(* | get_property_min_max )(vo_driver_t *self, int property, int *min, int *max)
int(* | gui_data_exchange )(vo_driver_t *self, int data_type, void *data)
int(* | redraw_needed )(vo_driver_t *self)
xine_grab_video_frame_t *(* | new_grab_video_frame )(vo_driver_t *self)
void(* | dispose )(vo_driver_t *self)
struct plugin_node_s *node | XINE_PRIVATE_FIELD
| Pointer to the loaded plugin node.

## Field Documentation

## ◆ alloc_frame

vo_frame_t *(* vo_driver_s::alloc_frame) (vo_driver_t *self)

## ◆ display_frame

void(* vo_driver_s::display_frame) (vo_driver_t *self, vo_frame_t *vo_img)

## ◆ dispose

void(* vo_driver_s::dispose) (vo_driver_t *self)

## ◆ get_capabilities

uint32_t(* vo_driver_s::get_capabilities) (vo_driver_t *self)

## ◆ get_property

int(* vo_driver_s::get_property) (vo_driver_t *self, int property)

## ◆ get_property_min_max

void(* vo_driver_s::get_property_min_max) (vo_driver_t *self, int property, int *min, int *max)

## ◆ gui_data_exchange

int(* vo_driver_s::gui_data_exchange) (vo_driver_t *self, int data_type, void *data)

Referenced by xine_port_send_gui_data().

## ◆ new_grab_video_frame

xine_grab_video_frame_t *(* vo_driver_s::new_grab_video_frame) (vo_driver_t *self)

Referenced by xine_new_grab_video_frame().

## ◆ overlay_begin

void(* vo_driver_s::overlay_begin) (vo_driver_t *self, vo_frame_t *vo_img, int changed)

## ◆ overlay_blend

void(* vo_driver_s::overlay_blend) (vo_driver_t *self, vo_frame_t *vo_img, vo_overlay_t *overlay)

## ◆ overlay_end

void(* vo_driver_s::overlay_end) (vo_driver_t *self, vo_frame_t *vo_img)

## ◆ redraw_needed

int(* vo_driver_s::redraw_needed) (vo_driver_t *self)

## ◆ set_property

int(* vo_driver_s::set_property) (vo_driver_t *self, int property, int value)

## ◆ update_frame_format

void(* vo_driver_s::update_frame_format) (vo_driver_t *self, vo_frame_t *img, uint32_t width, uint32_t height, double ratio, int format, int flags)

## ◆ XINE_PRIVATE_FIELD

struct plugin_node_s* node vo_driver_s::XINE_PRIVATE_FIELD

Pointer to the loaded plugin node.

Used by the plugins loader. It's an opaque type when using the structure outside of xine's build.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/video_out.h